require("Necessary")
require("StoryUtility")

function allInOne()
	addObject(23001, 3, 0)	--霄河×3
	addObject(21604, 1, 0)	--金镶玉

	addObject(21724, 2, 0)	--精铁发箍×2
	addObject(21805, 1, 0)	--沉香素纱
	addObject(21906, 2, 0)	--云锦劲衣×2
	addObject(22106, 1, 0)	--红香鞋

	addObject(22224, 2, 0)	--六合靴×2
	addObject(1002, 10, 0)
	addObject(1006, 5, 0)
	addObject(1014, 5, 0)
	addObject(1224, 2, 0)
---[[
	joinTeam(110, false)	--屠苏入队
	setRoleLevel(110, 19)	--屠苏等级19
	equip(110, 23001)		--装备霄河
	showWeapon(110, false)
	equip(110, 21724)
	equip(110, 21906)
	equip(110, 22224)
	setRoleInt(110, "CurrentAP", 70)
	setRoleInt(110, "CurrentActPoint", 3)	--设置行动点

	addSkill(110, 6022)	--玄真剑

	addSkill(110, 6023)	--三清诀
	addSkill(110, 1105)	--2
	addSkill(110, 1104)	--3
	addSkill(110, 2101)
	addSkill(110, 2102)
	addSkill(110, 2103)
--]]
---[[
	joinTeam(111, false)	--陵越入队
	setRoleLevel(111, 20)	--陵越等级20
	equip(111, 23001)		--装备霄河
	showWeapon(111, false)
	equip(111, 21724)
	equip(111, 21906)
	equip(111, 22224)
	setRoleInt(111, "CurrentAP", 90)
	setRoleInt(111, "CurrentActPoint", 3)	--设置行动点

	addSkill(111, 6024)	--空明剑

	addSkill(111, 6025)	--太虚剑

	addSkill(111, 6037)	--1
	addSkill(111, 6036)	--3
	addSkill(111, 2301)
	addSkill(111, 2302)
	addSkill(111, 2303)
	addSkill(111, 2201)
--]]
---[[
	joinTeam(112, false)	--芙蕖入队
	setRoleLevel(112, 18)	--芙蕖等级18
	equip(112, 23001)		--装备霄河
	showWeapon(112, false)
	equip(112, 21604)
	equip(112, 21805)
	equip(112, 22106)
	setRoleInt(112, "CurrentAP", 50)
	setRoleInt(112, "CurrentActPoint", 3)	--设置行动点

	addSkill(112, 6020)	--法剑降魔
	addSkill(112, 6021)	--道剑凝真
	addSkill(112, 6039)	--1
	addSkill(112, 6038)	--2
	addSkill(112, 2401)
	addSkill(112, 2402)
	addSkill(112, 2403)
	addSkill(112, 2001)
	addSkill(112, 2002)
--]]
end

function DLCStory2Begin()
	task()
		.log("DLCStory2Begin")
		.SetStoryVersion(2)
		.InitTourCamera()
		--.taskDoPostScreen(1, 1.0, 0)
		.stopMusic(1.5, false)
		--.allInOne()
		.SetDLC2Story(510100)	--初始化剧情变量

		.gValueQuestInit()
		.changeScene("Q16", "Q16N06DLC04", "null", "")	--跳转场景
end

function OnDLCEnterLevelM01()	--M01
	log("OnDLCEnterLevelM01")
	if GetDLC2Story() > 520201 then
		playMusic("P07.ogg" , 1 , 3 , 0 , 1 , 3)
	else
		playMusic("P44.ogg" , 1 , 3 , 0 , 1 , 3)
	end
	setMiniMap("MM001")
	--callTaskFunction("forTestM01")
	callTaskFunction("dlcstory520100")
end

function forTestM01()
	if GetDLC2Story() == 510500 then
		task()
		.SetTourCamera(1, true)
		.allInOne()
		.setPlayerPos(86.59401, -79.75329, 0.0560379)
		.setPlayerDir(180)
		.taskDoPostScreen(1, 0, 1)
		.forceCloseHUD(false)
		.setHUD(true)
		.setControl(true)
		.SetDLC2Story(510501)
	end
end

function OnDLCEnterLevelM06()	--M06
	log("OnDLCEnterLevelM06")
	playMusic("P07.ogg" , 1 , 3 , 0 , 1 , 3)
	setMiniMap("MM016")
	setPlayerPos(38.90175, 17.11505, 3.242933)
	setPlayerDir(180)
	setHUD(true)
	setControl(true)
	callTaskFunction("dlcstory520400")
end

function OnDLCEnterLevelQ16()	--Q16
	log("OnDLCEnterLevelQ16")
    if GetDLC2Story() >= 510300	and GetDLC2Story() < 510500 then
		playMusic("P54.ogg" , 1 , 3 , 0 , 1 , 3)
	end
	--playMusic("P54.ogg" , 1 , 3 , 0 , 1 , 3)
	if getPlayerPosZ() > 300.0 then
		setMiniMap("MQ022")	--上层水池
	else
		setMiniMap("MQ021")
	end

	log(GetDLC2Story())
	if GetDLC2Story() == 510201 then
		showNPC("FQ", true)
	else
		showNPC("FQ", false)
	end

	--if GetDLC2Story() == 510100 then--Q16进场景触发剧情，目前只写了一半，后面还有=口=
		callTaskFunction("dlcstory510100")
	--end
end

function dlcstory510100()
	if GetDLC2Story() == 510100 then
		task()
		.playMusic("P102.ogg", 1, 0, 0, 1, 3)   --青冥剑誓变调
		.forceCloseHUD(true)
		.taskPlaySequence("510100", "Q16DLC4")
		.SetDLC2Story(510200)
		.changeScene("Q16", "Q16D", "null", "")	  --跳转场景
		.taskPlaySequence("510200", "Q16DLC4")
		.SetDLC2Story(510201)
		.taskPlaySequence("510201", "Q16DLC4")
		.joinTeam(248, false)
		--.log("510201")
		.SetDLC2Story(510300)
		.setPlayerPos(-5.004481, -19.49673, 220.2632)
		.setPlayerDir(107.4548)
		.showNPC("NPC 100", true)                 --芙蕖对话已录
		.taskDoPostScreen(1, 1.0, 1)
		.playMusic("P54.ogg" , 1 , 3 , 0 , 2) --剧情结束后换场景音乐
		.setHUD(true)
		.setControl(true)
	end
end

function dlcstory510300()
	if GetDLC2Story() == 510300 then
		task()
		.showNPC("NPC 100", false)                 --芙蕖隐藏
		.playMusic("P54.ogg",1,3,0,1,1)           --霜月幻夜•变调

		.taskPlaySequence("510300","Q16DLC4")
		.SetDLC2Story( 510400 )
		.changeScene("Q16", "Q16N04DLC04", "null", "")	--跳转场景
		.taskPlaySequence("510400","Q16DLC4")     --P34犹记多情•变调在xfx中

		.SetDLC2Story( 510401 )
		.playMusic("P27.ogg",1,1,0,1,3)           --载酒行

		.taskPlaySequence("510401","Q16DLC4")
		.SetDLC2Story( 510500 )
		.changeScene("Q16", "Q16D", "null", "")	  --跳转场景
		.playMusic("P29.ogg",1,3,0,1,3)           --
		.taskPlaySequence("510500","Q16DLC4")
		.SetDLC2Story( 520100 )
		.leaveTeam(248, false)                    --玉泱离对
		.changeScene("M01", "M01P1D", "null", "") --跳转场景
	end
end

function dlcstory520100()
	if GetDLC2Story() == 520100 then
		task()
		.playMusic("P38.ogg",1,3,0,1,3)          --青冥剑誓•变调

		.taskPlaySequence("520100","M01DLC4")
		.SetDLC2Story( 520200 )
		.allInOne()
		.setTeamLeader(111)
		.setPlayerPos(80.31553, -75.13998, 0.06150285)
		.setPlayerDir(152.98)
		.taskDoPostScreen(1, 1.0, 1)
		.playMusic("P44.ogg",1,3,0,1,3)           --剧情结束后换场景音乐
		.forceCloseHUD(false)
		.setHUD(true)
		.setControl(true)
	end
end

function dlcstory520200()
	if GetDLC2Story() == 520200 then
		task()
		--背景音乐长亭离怨在xfx中

		.stopMusic(1,false,1)                     --停播背景音乐
		.taskPlaySequence("520200","M01DLC4")
		.SetDLC2Story( 520201 )
		.playMusic("P07.ogg",1,3,0,1,3)           --禁魔咒

		.taskPlaySequence("520201","M01DLC4")
		.SetDLC2Story( 520202 )
		.setPlayerPos(18.22344, 34.68749, 13.06156)
		.setPlayerDir(68.8545)
		.showNPC("NPC 100", true)
		.taskDoPostScreen(1, 1.0, 1)
		.setHUD(true)
		.setControl(true)
	end
end

function dlcstory520202()
	if GetDLC2Story() == 520202 then
		task()
		.playMusic("P07.ogg",1,3,0,1,3)           --禁魔咒

		.taskPlaySequence("520202","M01DLC4")
        .SetDLC2Story( 520203 )
        .enterBattle("M01", "M01P1D", "M01_2", 412)--接三只怪物战斗
        .taskDoPostScreen(1, 0, 1)
	end
end

function OnComeFromCombatM01()
	log("OnComeFromCombatM011111")
	if GetDLC2Story() > 520201 then
		playMusic("P07.ogg" , 1 , 3 , 0 , 1 , 3)
	else
		playMusic("P44.ogg" , 1 , 3 , 0 , 1 , 3)
	end
	log(GetDLC2Story())
	if GetDLC2Story() == 520203 then
		log("aadf")
		callTaskFunction("dlcstory520203")
	end
end

function dlcstory520203()                         --接战斗结束

	log("dlcstory520203dddde")
    if GetDLC2Story() == 520203 then
		task()
		.log("dlcstory520203")
		.playMusic("P07.ogg",1,3,0,1,3)           --禁魔咒

		.taskPlaySequence("520203","M01DLC4")
        .SetDLC2Story( 520300 )
        .setPlayerPos(-6.075354, 3.804997, 12.57483)
		.setPlayerDir(54.13075)
		.taskDoPostScreen(1, 1.0, 1)
		.setHUD(true)
		.setControl(true)
	end
end

function dlcstory520300()
	if GetDLC2Story() == 520300 then
		task()
		--沿用场景音乐P07禁魔咒

		.taskPlaySequence("520300","M01DLC4")     --后段音乐P81彩云追月在xfx中

		.SetDLC2Story( 520400 )
        .setPlayerPos(-30.82054, 26.00099, 0.5158749)
		.setPlayerDir(-170.5436)
		.taskDoPostScreen(1, 1.0, 1)
		.playMusic("P44.ogg",1,3,0,1,3)           --剧情结束后换场景音乐
		.setHUD(true)
		.setControl(true)
	end
end

function  chuansong()                               --地点触发，传送点
	callTaskFunction("chuansong520400")
end

function chuansong520400()                          --选择对话对话框，选择“是”就执行此函数，选择“稍等片刻”，不执行任何操作。

	task()
	.taskSelectDialogue(7654,53,54)                 --7654“要离开红叶湖幻境吗？”   53“是。”  54“稍等片刻。”

	.callTaskFunction("doSeletedchuansong520400")
end

function doSeletedchuansong520400()
	seletedIndex = getSelectResult()
	if 1 == seletedIndex then
	--选择了“是“

	task()
		--.SetDLC2Story( 520400 )
		.changeScene("M06", "M06P3D", "null", "")	  --跳转场景
		.callTaskFunction("dlcstory520400")
	elseif 2 == seletedIndex then
	--do nothing
	task()
		.setHUD(true)
		.setControl(true)
	end
end

function dlcstory520400()
	if GetDLC2Story() == 520400 then
		task()
		.playMusic("P80.ogg",1,3,0,1,3)               --飞花点翠
		.taskPlaySequence("520400","M06DLC4")
        .SetDLC2Story( 520500 )
        .setPlayerPos(10.99561, 31.7014, 1.460866)
		.setPlayerDir(178.2608)
		.taskDoPostScreen(1, 1.0, 1)
		.playMusic("P07.ogg",1,3,0,1,3)               --剧情结束后换场景音乐
		.setHUD(true)
		.setControl(true)
	end
end

function dlcstory520500()
	if GetDLC2Story() == 520500 then
		task()
		--背景音乐P80飞花点翠与P46群妖舞在xfx中

		.taskPlaySequence("520500","M06DLC4")
        .SetDLC2Story( 520501 )
        .enterBattle("M06", "M06P3D", "M06_4_B", 2005)      --接美女蛇战斗
        .taskDoPostScreen( 1 , 0 , 1)
	end
end

function OnComeFromCombatM06()
	playMusic("P07.ogg" , 1 , 3 , 0 , 1 , 3)
	if GetDLC2Story() == 520501 then
		callTaskFunction("dlcstory520501")
	end
end

 function dlcstory520501()                                --接战斗结束

	if GetDLC2Story() == 520501 then
		task()
		.playMusic("P46.ogg",1,3,0,1,3)                   --群妖舞

		.taskPlaySequence("520501","M06DLC4")
        .SetDLC2Story( 520502 )
        .playMusic("P38.ogg",1,3,0,1,3)                   --相见欢

        .taskPlaySequence("520502","M06DLC4")
        .changeScene("Q16", "Q16N04DLC04", "null", "")	  --跳转场景
        .playMusic("P35.ogg",1,0,0,1,3)                   --长亭离怨

        .taskPlaySequence("530100","Q16DLC4")
        .SetDLC2Story( 530101 )
        .changeScene("Q16", "Q16D", "null", "")	          --跳转场景
        .taskPlaySequence("530101","Q16DLC4")
        .stopMusic(1,false,1)                             --停播长亭离怨

        .SetDLC2Story( 530200 )
        .playSWF("Dlc002_1.swf")                          --九十年后，flash字幕
		.taskPlaySequence("500001","Q16DLC4")
		.stopSWF()
        .playMusic("P113.ogg",1,3,0,1,3)                  --榣山遗韵•变调

        .taskPlaySequence("530200","Q16DLC4")             --flash字幕在剧情中
		--.playSWF("Dlc004.swf")
		--.taskPlaySequence("500002","Q16DLC4")
		.stopSWF()
        .addEffort(426, 1)       		                  --成就
        .saveEffort()
        .taskDoPostScreen(1, 0, 1)
		.endGame(false)
	end
end

function subDLC041()
	callTaskFunction("taskSubGW03")
end

function taskSubGW03()
	if gValue.Sub021 == 0 then				--问题
		task()
		.taskDialogue("DlgM01", 28)
		.taskDialogue("DlgM01", 29)
		.taskSelectDialogue(84, 75, 76)
		.callTaskFunction("Quest21")
	elseif gValue.Sub021 == 1 then			--达成
		if getItemCount(2003) >= 7 then
			task()
			.taskDialogue("DlgM01", 31)
			.addObject(2003, -7, 2)			--失去物品
			.addObject(1220, 3, 2)		--得到物品
			.addObject(1421, 3, 2)		--得到物品
			.setSub021(2)					--结束
			.msgBoxInTable(91, true)		--任务完成
			.addEffort(427, 1)       		--成就
			.setHUD(true)
			.setControl(true)
		else								--过程对话
			task()
			.taskDialogue("DlgM01", 30)
			.setHUD(true)
			.setControl(true)
		end
	else
		task()
		.taskDialogue("DlgM01", 32)
		.setHUD(true)
		.setControl(true)
	end
end

function Quest21()
	seletedIndex = getSelectResult()
	if 1 == seletedIndex then
		--选择了“是“

		task()
		.setSub021(1)
		.setHUD(true)
		.setControl(true)
	elseif 2 == seletedIndex then
		--do nothing
		task()
		.setHUD(true)
		.setControl(true)
	end
end


function subDLC042()
	callTaskFunction("taskSubXX04")
end

function taskSubXX04()
	if gValue.Sub020 == 0 or gValue.Sub020 == nil then	--未接任务
		task()
		.taskDialogue("DlgM01", 22)		--呜，你，你是……你要去红叶湖吗？

		.taskDialogue("DlgM01", 23)		--呜呜，小凤的镯子被草团抢去了，小凤好喜欢那个镯子……你，你能不能去帮小凤找回来？

		.taskSelectDialogue(84, 75, 76)	--选择对话框

		.callTaskFunction("Quest20")	--选择结果处理
	elseif gValue.Sub020 == 1 then		--任务已接
		if getItemCount(22421) > 0 then	--背包里有“牡丹青玉镯”

			task()
			.taskDialogue("DlgM01", 25) --……这，这是！这是小凤的镯子！
			.taskDialogue("DlgM01", 26) --呜~谢谢，谢谢……小凤是个刚修成人形的藤妖，法力低微，不能帮你什么……这些东西就送给你吧~
			.addObject(22421, -1, 2)	--失去牡丹青玉镯

			.addObject(1752, 1, 2)		--得到物品
			.addObject(1423, 2, 2)		--得到物品
			.setSub020(2)				--结束
			.msgBoxInTable(91, true)	--任务完成
			.addEffort(427, 1)       	--成就
			.setHUD(true)				--开启界面

			.setControl(true)			--解除人物行走锁定
		else							--没有“牡丹青玉镯”

			task()
			.taskDialogue("DlgM01", 24)	--呜呜呜呜……

			.setHUD(true)				--开启界面

			.setControl(true)			--解除人物行走锁定
		end
	else								--任务完成
	    task()
		.taskDialogue("DlgM01", 27)		--小凤马上就回紫榕林修炼~多谢啦~
		.setHUD(true)					--开启界面

		.setControl(true)				--解除人物行走锁定
	end
end

function Quest20()
	seletedIndex = getSelectResult()
	if seletedIndex == 1 then			--选择了“是”

		task()
		.setSub020(1)					--接受任务，变量设为1
		.setHUD(true)					--开启界面

		.setControl(true)				--解除人物行走锁定
	elseif seletedIndex == 2 then		--选择了“否”

		task()
		.setHUD(true)					--开启界面

		.setControl(true)				--解除人物行走锁定
	end
end

